質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.80%

AWS CLI をインストールできなく困っています。

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,321

ma_k

score 14

ruby on rails で作成したアプリをAWSを使って
デプロイしているところです。

下記のリンクを参照しながら進めています。

(デプロイ編①)世界一丁寧なAWS解説。EC2を利用して、RailsアプリをAWSにあげるまで

$sudo pip install awscli

でインストールをしていると、エラーがでます。

 Could not fetch URL https://pypi.python.org/simple/awscli/: 
There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.python.org', port=443): 
Max retries exceeded with url: /simple/awscli/ 
(Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.",)) - skipping
  Could not find a version that satisfies the requirement awscli (from versions: )
No matching distribution found for awscli

SSLの問題?なのかと思うのですが
解決策を検索しているのですが、
うまく見つかりません。

アマゾン公式のサイトも確認し、
トライしましたが同じエラーでした。
macOS に AWS CLI をインストールする

macを使っています。
Python 3.6.5 で、pipのバージョンはpip 9.0.3です。

お教えくださる方いましたら
幸いです。

よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • yu_1985

    2019/11/25 18:32

    インストールしようとしている環境、pipのバージョンはなんでしょう?

    キャンセル

  • ma_k

    2019/11/25 18:42

    macを使っています。
    Python 3.6.5 で、pipのバージョンはpip 9.0.3です。

    キャンセル

回答 2

check解決した方法

0

brew uninstall --ignore-dependencies pythonでPython削除
Pythonをbrew install pythonで再インストール
pip3 install awscliでインストール

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

pipのバージョンが大分古い(Latestは19.3.1)のでアップデートしてみてはどうでしょうか。
pip install -U pip

ただ、そもそもhomebrewを使っているのならhomebrewで入れてしまうのもアリだと思います。
brew install awscli

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/11/25 21:03

    それよりも先にまずPythonのバージョンを確認してみてください。
    Pythonはどのようにしてインストールしましたか?

    キャンセル

  • 2019/11/25 21:54

    brew install python でインストールをしました。
    バージョンはPython 3.6.5です。

    キャンセル

  • 2019/11/26 00:47

    もう一度削除しようと思い、
    brew uninstall --ignore-dependencies pythonで試してみたあと、
    Pythonを再インストールしました。
    pip3 install awscliでインストールできました!!!!!
    コメントありがとうございます!!!!!!!!!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.80%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る